Bug 47119 - Grub default behavior does not match redhat setup
Grub default behavior does not match redhat setup
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-03 07:38 EDT by Kevin - The Alchemist - Sonney
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-22 17:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin - The Alchemist - Sonney 2001-07-03 07:38:38 EDT
Grub, by default, looks for "menu.lst" to build it's boot menu. The redhat
installed version gets a "grub.conf" but no menu.lst.

Following the "quick setup" instructions in the grub docs, one expects that
just modifying grub.conf, and the running this :

grub> root (hd0,0)
grub> setup (hd0)

will get you you modified menu on boot. however, all you get in this case
is the grub command line. Ewww.

Simple fixes :
(a) actually use menu.lst
(b) symlink grub.conf to menu.lst
(c) change grub default behavior
(d) document this *REALLY WELL*

I'd prefer both (a) and (d), since most upgrade users will read the info
pages before reading the RH manuals (sorry, beth & sandra). Also, prior
experience with lilo on RH systems will lead them to beleive that the
default configs are all correct, and there's no extra setup needed to get
the right menu options.

Worst case, the admin copies grub.conf to menu.lst, modifies menu.lst,and
when s/he upgardes their kernel, gets the updated grub.conf as their
bootloader. Much swearing at tech support will ensue.
Comment 1 Glen Foster 2001-07-13 18:08:05 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 2 Jeremy Katz 2001-07-22 17:57:25 EDT
Right now, we're doing c and d...  menu.lst is extremely non-intuitive and I'm
trying to convince the grub people to change it upstream.

Note You need to log in before you can comment on or make changes to this bug.